org.jbpm.marshalling.impl

## Class JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder>
      - - org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder
  Enclosing class:
    JBPMMessages.ProcessInstance.ExclusiveGroupInstance

      public static final class JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder>
      implements JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder

  Protobuf type `org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `addAllGroupNodeInstanceId(Iterable<? extends Long> values)` `repeated int64 group_node_instance_id = 1;`
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `addGroupNodeInstanceId(long value)` `repeated int64 group_node_instance_id = 1;`
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `build()`
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `buildPartial()`
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `clear()`
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `clearGroupNodeInstanceId()` `repeated int64 group_node_instance_id = 1;`
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `clone()`
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `long` | `getGroupNodeInstanceId(int index)` `repeated int64 group_node_instance_id = 1;`
    `int` | `getGroupNodeInstanceIdCount()` `repeated int64 group_node_instance_id = 1;`
    `List<Long>` | `getGroupNodeInstanceIdList()` `repeated int64 group_node_instance_id = 1;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `mergeFrom(JBPMMessages.ProcessInstance.ExclusiveGroupInstance other)`
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder` | `setGroupNodeInstanceId(int index, long value)` `repeated int64 group_node_instance_id = 1;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder>`

    - #### clear

          public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder>`

    - #### clone

          public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder>`

    - #### getDefaultInstanceForType

          public JBPMMessages.ProcessInstance.ExclusiveGroupInstance getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public JBPMMessages.ProcessInstance.ExclusiveGroupInstance build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public JBPMMessages.ProcessInstance.ExclusiveGroupInstance buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder mergeFrom(JBPMMessages.ProcessInstance.ExclusiveGroupInstance other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder>`

    - #### mergeFrom

          public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder>`
      Throws:
        `IOException`

    - #### getGroupNodeInstanceIdList

          public List<Long> getGroupNodeInstanceIdList()

      `repeated int64 group_node_instance_id = 1;`
      Specified by:
        `getGroupNodeInstanceIdList` in interface `JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder`

    - #### getGroupNodeInstanceIdCount

          public int getGroupNodeInstanceIdCount()

      `repeated int64 group_node_instance_id = 1;`
      Specified by:
        `getGroupNodeInstanceIdCount` in interface `JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder`

    - #### getGroupNodeInstanceId

          public long getGroupNodeInstanceId(int index)

      `repeated int64 group_node_instance_id = 1;`
      Specified by:
        `getGroupNodeInstanceId` in interface `JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder`

    - #### setGroupNodeInstanceId

          public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder setGroupNodeInstanceId(int index,
                                                                                           long value)

      `repeated int64 group_node_instance_id = 1;`

    - #### addGroupNodeInstanceId

          public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder addGroupNodeInstanceId(long value)

      `repeated int64 group_node_instance_id = 1;`

    - #### addAllGroupNodeInstanceId

          public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder addAllGroupNodeInstanceId(Iterable<? extends Long> values)

      `repeated int64 group_node_instance_id = 1;`

    - #### clearGroupNodeInstanceId

          public JBPMMessages.ProcessInstance.ExclusiveGroupInstance.Builder clearGroupNodeInstanceId()

      `repeated int64 group_node_instance_id = 1;`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.